ReferenceProduct
Get a supplier code
Returns one supplier code of the product. 404 when it does not belong to `productId`. Requires `Permissions.Product.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32suppliersProductCodeId*integerFormat
int32application/json- response
The code one supplier uses for a product.
allowedWarehouseId?|Format
int32colorId?|Format
int32createdAt?|Format
date-timedimensionId?|Format
int32id?|Format
int32isInvalid?boolean|nulllastModify?|Format
date-timelengthId?|Format
int32price?|Format
decimalpriceCoefficient?|Format
decimalproductId?|Format
int32quantityCoefficient?|Format
decimalsizeId?|Format
int32supplierId?|Format
int32supplierProductCode?|Length
length <= 50unitId?|Format
int32userId?|Format
int32variantId?|Format
int32curl -X GET 'https://<your-instance>/api/products/0/suppliers-product-code/0' \ -H 'Authorization: Bearer <access-token>'{ "allowedWarehouseId": 0, "colorId": 0, "createdAt": "2019-08-24T14:15:22Z", "dimensionId": 0, "id": 0, "isInvalid": true, "lastModify": "2019-08-24T14:15:22Z", "lengthId": 0, "price": 0, "priceCoefficient": 0, "productId": 0, "quantityCoefficient": 0, "sizeId": 0, "supplierId": 0, "supplierProductCode": "string", "unitId": 0, "userId": 0, "variantId": 0}